PUT Set user custom field values
Replace all custom field values for a specific user (overwrites existing values)
Replace all custom field values for a specific user (overwrites existing values)
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
User ID (internal UUID)
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/users/{id}/custom-fields" \ -H "Content-Type: application/json" \ -d '{ "custom_fields": [ { "field_id": "{field_id}", "value": "Example value" } ] }'{ "data": [ { "field_id": "{field_id}", "value": "string" } ], "meta": { "organization_id": "{organization_id}", "user_id": "{user_id}", "updated_at": "2019-08-24T14:15:22Z", "rls_validated": true }}{ "error": { "code": "VALIDATION_ERROR", "message": "string", "details": [ { "code": "string", "message": "string", "path": [ "string" ], "field": "string", "expected": "string", "received": "string" } ] }}{ "error": { "code": "UNAUTHORIZED", "message": "string" }}{ "error": { "code": "FORBIDDEN", "message": "string", "required_scope": "users:write" }}{ "error": { "code": "NOT_FOUND", "message": "string" }}{ "error": { "code": "INTERNAL_ERROR", "message": "string" }}